Loading...
Searching...
No Matches
space_constitution_terminal< T, M >

## Detailed Description

template<class T, class M>
class rheolef::space_constitution_terminal< T, M >

Definition at line 148 of file space_constitution.h.

Inheritance diagram for space_constitution_terminal< T, M >:

## Public Types

typedef space_constitution_terminal_rep< T, M > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::const_iterator | const_iterator
Public Types inherited from smart_pointer< space_constitution_terminal_rep< T, M > >
typedef space_constitution_terminal_rep< T, M > | handled_type
typedef base::internal | internal

## Public Member Functions

| space_constitution_terminal ()
| space_constitution_terminal (const geo_basic< T, M > &omega, std::string approx)
const geo_basic< T, M > & | get_geo () const
const geo_basic< T, M > & | get_background_geo () const
const basis_basic< T > & | get_basis () const
size_type | size () const
const_iterator | begin () const
const_iterator | end () const
void | set_ios_permutations (disarray< size_type, M > &idof2ios_dis_idof, disarray< size_type, M > &ios_idof2dis_idof) const
bool | have_compact_support_inside_element () const
bool | is_discontinuous () const
size_type | degree_max () const
void | neighbour_guard () const
bool | operator== (const space_constitution_terminal< T, M > &V2) const
void | set_geo (const geo_basic< T, M > &omega)
void | set_basis (const basis_basic< T > &b)
void | do_act (const space_act &act)
void | block (const domain_indirect_basic< M > &dom)
void | unblock (const domain_indirect_basic< M > &dom)
void | block_n (const domain_indirect_basic< M > &dom)
void | unblock_n (const domain_indirect_basic< M > &dom)
Public Member Functions inherited from smart_pointer< space_constitution_terminal_rep< T, M > >
| smart_pointer (space_constitution_terminal_rep< T, M > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< space_constitution_terminal_rep< T, M > > &x)
smart_pointer< space_constitution_terminal_rep< T, M > > & | operator= (const smart_pointer< space_constitution_terminal_rep< T, M > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Member Typedef Documentation

## rep

template<class T , class M >

typedef space_constitution_terminal_rep<T,M> rep

Definition at line 151 of file space_constitution.h.

## base

template<class T , class M >

typedef smart_pointer<rep> base

Definition at line 152 of file space_constitution.h.

## size_type

template<class T , class M >

typedef rep::size_type size_type

Definition at line 153 of file space_constitution.h.

## const_iterator

template<class T , class M >

typedef rep::const_iterator const_iterator

Definition at line 154 of file space_constitution.h.

## Constructor & Destructor Documentation

## space_constitution_terminal() [1/2]

template<class T , class M >

space_constitution_terminal | ( |  | ) |

Definition at line 158 of file space_constitution.h.

## space_constitution_terminal() [2/2]

template<class T , class M >

space_constitution_terminal | ( | const geo_basic< T, M > & | omega,
|  | std::string | approx
| ) |  |

Definition at line 161 of file space_constitution.h.

## Member Function Documentation

## get_geo()

template<class T , class M >

const geo_basic< T, M > & get_geo | ( |  | ) | const

Definition at line 168 of file space_constitution.h.

## get_background_geo()

template<class T , class M >

const geo_basic< T, M > & get_background_geo | ( |  | ) | const

Definition at line 169 of file space_constitution.h.

## get_basis()

template<class T , class M >

const basis_basic< T > & get_basis | ( |  | ) | const

Definition at line 170 of file space_constitution.h.

## size()

template<class T , class M >

size_type size | ( |  | ) | const

Definition at line 171 of file space_constitution.h.

## begin()

template<class T , class M >

const_iterator begin | ( |  | ) | const

Definition at line 172 of file space_constitution.h.

## end()

template<class T , class M >

const_iterator end | ( |  | ) | const

Definition at line 173 of file space_constitution.h.

## set_ios_permutations()

template<class T , class M >

void set_ios_permutations | ( | disarray< size_type, M > & | idof2ios_dis_idof,
|  | disarray< size_type, M > & | ios_idof2dis_idof
| ) |  | const

Definition at line 177 of file space_constitution.h.

## have_compact_support_inside_element()

template<class T , class M >

bool have_compact_support_inside_element | ( |  | ) | const

Definition at line 184 of file space_constitution.h.

## is_discontinuous()

template<class T , class M >

bool is_discontinuous | ( |  | ) | const

Definition at line 185 of file space_constitution.h.

## degree_max()

template<class T , class M >

size_type degree_max | ( |  | ) | const

Definition at line 186 of file space_constitution.h.

## neighbour_guard()

template<class T , class M >

void neighbour_guard | ( |  | ) | const

Definition at line 187 of file space_constitution.h.

## operator==()

template<class T , class M >

bool operator== | ( | const space_constitution_terminal< T, M > & | V2 | ) | const

Definition at line 191 of file space_constitution.h.

## set_geo()

template<class T , class M >

void set_geo | ( | const geo_basic< T, M > & | omega | ) |

Definition at line 195 of file space_constitution.h.

## set_basis()

template<class T , class M >

void set_basis | ( | const basis_basic< T > & | b | ) |

Definition at line 196 of file space_constitution.h.

## do_act()

template<class T , class M >

void do_act | ( | const space_act & | act | ) |

Definition at line 197 of file space_constitution.h.

## block()

template<class T , class M >

void block | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 199 of file space_constitution.h.

## unblock()

template<class T , class M >

void unblock | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 200 of file space_constitution.h.

## block_n()

template<class T , class M >

void block_n | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 201 of file space_constitution.h.

## unblock_n()

template<class T , class M >

void unblock_n | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 202 of file space_constitution.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/space_constitution.h